Product comparison · 2 network switches

Allied Telesis FS750/20 Managed Fast Ethernet (10/100) 1U Grey vs Allied Telesis FS750/52 Managed Fast Ethernet (10/100) 1U Grey

Add a product
  • 70specifications compared
  • 9differ
  • 61identical
  • 2known for one product only

Key differences

  • Basic switching RJ-45 Ethernet ports quantity
    • FS750/20 Managed Fast Ethernet (10/100) 1U Grey:18
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:50
  • Fast Ethernet (copper) ports quantity
    • FS750/20 Managed Fast Ethernet (10/100) 1U Grey:16
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:48
  • MAC address table
    • FS750/20 Managed Fast Ethernet (10/100) 1U Grey:8000 entries
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:16000 entries
  • Switching capacity
    • FS750/20 Managed Fast Ethernet (10/100) 1U Grey:11.2 Gbit/s
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:17.6 Gbit/s
  • Forwarding rate
    • FS750/20 Managed Fast Ethernet (10/100) 1U Grey:8.3 Mpps
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:13.1 Mpps
  • Power consumption (max)
    • FS750/20 Managed Fast Ethernet (10/100) 1U Grey:7.6 W
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:13.25 W
  • Width
    • FS750/20 Managed Fast Ethernet (10/100) 1U Grey:330 mm
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:440 mm
  • Depth
    • FS750/20 Managed Fast Ethernet (10/100) 1U Grey:180 mm
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:250 mm

Side by side

Differences highlightedShow differences only (on)
Comparison of FS750/20, FS750/52
72 specifications
Management featuresidentical
MIB supportKnown for oneRFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIBUnknown — not stated by the source
Public MIBKnown for oneUnknown — not stated by the sourceRFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIB
Ports & interfaces2 differ
Basic switching RJ-45 Ethernet ports quantityDiffers1850
Fast Ethernet (copper) ports quantityDiffers1648
Data transmission3 differ
MAC address tableDiffers8000 entries16000 entries
Switching capacityDiffers11.2 Gbit/s17.6 Gbit/s
Forwarding rateDiffers8.3 Mpps13.1 Mpps
Power1 differ
Power consumption (max)Differs7.6 W13.25 W
Weight & dimensions3 differ
WidthDiffers330 mm440 mm
DepthDiffers180 mm250 mm
WeightDiffers2.2 kg3 kg

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons